aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJóhann B. Guðmundsson <johannbg@gmail.com>2021-05-12 10:25:48 +0000
committerHarald Hoyer <harald@hoyer.xyz>2021-05-14 11:35:34 +0200
commitfc88af54134ec021be58465b52d1271453c30c55 (patch)
tree8b08d90679bfb81fc5030c30753a427b000f26b5
parent5a04bd2dd3a091af333c534f4534c87c5175fe13 (diff)
downloaddracut-fc88af54134ec021be58465b52d1271453c30c55.tar.gz
feat(systemd-sysext): introducing the systemd-sysext module
Introducing the systemd-sysext module.
-rwxr-xr-xmodules.d/01systemd-sysext/module-setup.sh47
-rw-r--r--pkgbuild/dracut.spec1
2 files changed, 48 insertions, 0 deletions
diff --git a/modules.d/01systemd-sysext/module-setup.sh b/modules.d/01systemd-sysext/module-setup.sh
new file mode 100755
index 00000000..b95a4802
--- /dev/null
+++ b/modules.d/01systemd-sysext/module-setup.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+# This file is part of dracut.
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+# Prerequisite check(s) for module.
+check() {
+
+ # If the binary(s) requirements are not fulfilled the module can't be installed.
+ require_binaries systemd-sysext || return 1
+
+ # Return 255 to only include the module, if another module requires it.
+ return 255
+
+}
+
+# Module dependency requirements.
+depends() {
+
+ # This module has external dependency on other module(s).
+ echo systemd
+ # Return 0 to include the dependent module(s) in the initramfs.
+ return 0
+
+}
+
+# Install the required file(s) and directories for the module in the initramfs.
+install() {
+
+ inst_multiple -o \
+ "/usr/lib/extensions/*" \
+ "/usr/lib/extension-release.d/extension-release.*" \
+ "$systemdsystemunitdir"/systemd-sysext.service \
+ "$systemdsystemunitdir/systemd-sysext.service.d/*.conf" \
+ systemd-sysext
+
+ # Enable systemd type unit(s)
+ $SYSTEMCTL -q --root "$initdir" enable systemd-sysext.service
+
+ # Install the hosts local user configurations if enabled.
+ if [[ $hostonly ]]; then
+ inst_multiple -H -o \
+ "/etc/extensions/*" \
+ "$systemdsystemconfdir"/systemd-sysext.service \
+ "$systemdsystemconfdir/systemd-sysext.service.d/*.conf"
+ fi
+
+}
diff --git a/pkgbuild/dracut.spec b/pkgbuild/dracut.spec
index 40e3c0ef..04c61f90 100644
--- a/pkgbuild/dracut.spec
+++ b/pkgbuild/dracut.spec
@@ -334,6 +334,7 @@ echo 'dracut_rescue_image="yes"' > $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/
%{dracutlibdir}/modules.d/01systemd-repart
%{dracutlibdir}/modules.d/01systemd-resolved
%{dracutlibdir}/modules.d/01systemd-rfkill
+%{dracutlibdir}/modules.d/01systemd-sysext
%{dracutlibdir}/modules.d/01systemd-sysctl
%{dracutlibdir}/modules.d/01systemd-sysusers
%{dracutlibdir}/modules.d/01systemd-timedated